OGRE: Ogre::TerrainQuadTreeNode::LodLevel Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TerrainQuadTreeNode::LodLevel Struct Reference

`#include <OgreTerrainQuadTreeNode.h>`

Inheritance diagram for Ogre::TerrainQuadTreeNode::LodLevel:
[legend]

## Public Member Functions
| LodLevel ()
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Public Attributes
uint16 | batchSize
| Number of vertices rendered down one side (not including skirts) More...
Real | calcMaxHeightDelta
| Temp calc area for max height delta. More...
IndexData * | gpuIndexData
| Index data on the gpu. More...
Real | lastCFactor
| The cFactor value used to calculate transitionDist. More...
Real | lastTransitionDist
| The most recently calculated transition distance. More...
Real | maxHeightDelta
| Maximum delta height between this and the next lower lod. More...

## Constructor & Destructor Documentation

## ◆ LodLevel()

Ogre::TerrainQuadTreeNode::LodLevel::LodLevel | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ batchSize

uint16 Ogre::TerrainQuadTreeNode::LodLevel::batchSize

Number of vertices rendered down one side (not including skirts)

## ◆ calcMaxHeightDelta

Real Ogre::TerrainQuadTreeNode::LodLevel::calcMaxHeightDelta

Temp calc area for max height delta.

## ◆ gpuIndexData

IndexData* Ogre::TerrainQuadTreeNode::LodLevel::gpuIndexData

Index data on the gpu.

## ◆ lastCFactor

Real Ogre::TerrainQuadTreeNode::LodLevel::lastCFactor

The cFactor value used to calculate transitionDist.

## ◆ lastTransitionDist

Real Ogre::TerrainQuadTreeNode::LodLevel::lastTransitionDist

The most recently calculated transition distance.

## ◆ maxHeightDelta

Real Ogre::TerrainQuadTreeNode::LodLevel::maxHeightDelta

Maximum delta height between this and the next lower lod.

The documentation for this struct was generated from the following file:

- OgreTerrainQuadTreeNode.h